Loading...
Searching...
No Matches
Magick::ErrorImage Class Reference
Inheritance diagram for Magick::ErrorImage:

## Public Member Functions

| ErrorImage (const std::string &what_)
| ErrorImage (const std::string &what_, Exception *nested_)
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 138 of file Exception.h.

## Constructor & Destructor Documentation

## ErrorImage() [1/2]

Magick::ErrorImage::ErrorImage | ( | const std::string & | what_ | ) |

explicit

Definition at line 204 of file Exception.cpp.

: Error(what_)
{
}

## ErrorImage() [2/2]

Magick::ErrorImage::ErrorImage | ( | const std::string & | what_,
|  | Exception * | nested_ )

explicit

Definition at line 209 of file Exception.cpp.

: Error(what_,nested_)
{
}

## ~ErrorImage()

Magick::ErrorImage::~ErrorImage | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 214 of file Exception.cpp.

{
}

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp